Browse files

Require Test::Pod.

And update link to the GitHub repository to be a nice link.
  • Loading branch information...
1 parent b2813b4 commit 146951dbf285afbb3949be728ec62a12c5b9cb6e @theory committed Sep 17, 2010
Showing with 9 additions and 6 deletions.
  1. +1 −1 Build.PL
  2. +2 −0 Changes
  3. +4 −3 lib/DBIx/Connector.pm
  4. +2 −2 t/pod.t
View
2 Build.PL
@@ -19,7 +19,7 @@ Module::Build->new(
},
recommends => {
'DBI' => '1.614',
- 'Test::Pod' => '1.20',
+ 'Test::Pod' => '1.41',
'Test::Pod::Coverage' => '1.06',
},
meta_merge => {
View
2 Changes
@@ -26,6 +26,8 @@ Revision history for Perl extension DBIx::Connector.
`DBIx::Connector::SvpRollbackError` now use `our @ISA =` instead of
`use base` to inherit from `DBIx::Connector::RollbackError. This is to
avoid failures from mod_perl restarts. Suggested by Matt Trout.
+ - Require Test::Pod 1.41 for POD tests so that `L<text|url>` is
+ considered valid.
0.35 2010-06-04T00:32:02
- Added a scoping block around the execution of the blocks passed to
View
7 lib/DBIx/Connector.pm
@@ -1001,9 +1001,10 @@ universal across database back-ends.
=head1 Support
-This module is managed in an open GitHub repository,
-L<http://github.com/theory/dbix-connector/>. Feel free to fork and contribute,
-or to clone L<git://github.com/theory/dbix-connector.git> and send patches!
+This module is managed in an open
+L<GitHub repository|http://github.com/theory/dbix-connector/>. Feel free to
+fork and contribute, or to clone L<git://github.com/theory/dbix-connector.git>
+and send patches!
Found a bug? Please L<post|http://github.com/theory/dbix-connector/issues> or
L<email|mailto:bug-dbix-connector@rt.cpan.org> a report!
View
4 t/pod.t
@@ -2,6 +2,6 @@
use strict;
use Test::More;
-eval "use Test::Pod 1.20";
-plan skip_all => "Test::Pod 1.20 required for testing POD" if $@;
+eval "use Test::Pod 1.41";
+plan skip_all => "Test::Pod 1.41 required for testing POD" if $@;
all_pod_files_ok();

0 comments on commit 146951d

Please sign in to comment.